<script setup>
import Slider from "@vueform/slider";
import {Vue3SlideUpDown} from "vue3-slide-up-down";
import {computed, ref} from "vue";

const toggleOpen = ref(false);
const emit = defineEmits([
    'update:modelValue',
])

const props = defineProps({
    modelValue:Object|Array,
    min:Number,
    max:Number,
})
// const min = ref(form.price[0])
// const max = ref(form.price[1])

const model = computed({
    get: () => props.modelValue,
    set: (val) => emit("update:modelValue", val),
});

</script>

<template>
    <div class="profile__box">
        <div class="profile__line js-openClose-menu"
             @click="toggleOpen = !toggleOpen" :class="{active: toggleOpen}">
            <p class="profile__box-item">Цена</p>
            <div class="profile__line-openClose orange">
                <div class="profile__line-line"></div>
                <div class="profile__line-line"></div>
            </div>
        </div>
        <Vue3SlideUpDown class="profile__box-content noMt" v-model="toggleOpen">
            <Slider
                v-model="model"
                :min="props.min"
                :max="props.max" />
            <div class="marketBottom__box-ranges">
                <p class="marketBottom__box-range min">{{ modelValue[0] }}</p>
                <p class="marketBottom__box-range max">{{ modelValue[1] }}</p>
            </div>
        </Vue3SlideUpDown>
    </div>
</template>
